#ifndef SMPSTATICANALYZER_H
#define SMPSTATICANALYZER_H 1

#include <intel.hpp>

#define LAST_OPT_CATEGORY  9
#define LAST_TYPE_CATEGORY 15

extern int OptCategory[];
// Keep statistics on how many instructions we saw in each optimization
//  category, and how many optimizing annotations were emitted for
//  each category.
extern int OptCount[LAST_OPT_CATEGORY + 1];
extern int AnnotationCount[LAST_OPT_CATEGORY + 1];

// Unique data referent number to use in data annotations.
extern unsigned long DataReferentID;

extern char *DataTypes[];

// Initialized operand used to copy-initialize other operands.
extern op_t InitOp;

#endif
